Downloads

Server hiQoo

hiQoo for iPhone

Requirements: iOS 8.1 or later. Compatible with iPhone, iPad, and iPod touch.

hiQoo for Mac OS X

Requirements: MacOS Minimum Ver. OS X 10.11 (64 bit)

hiQoo for Windows OS

Requirements: Windows XP sp2 or later.